CoCoALib - Bug #510

SyzOfGens (CoCoALib): fix shifts
02 Apr 2014 14:49 - Anna Maria Bigatti

Status: Closed Start date: 02 Apr 2014
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: Maths Bugs Estimated time: 2.00 hours
Target version: CoCoALib-0.99533 Easter14 Spent time: 1.50 hour
Description

Example in CoCoA-5

/**x/ Use R ::= QQI[x,y];

/**/ I := ideal (x"2, y"2, x+y);

/**/ G := gens (SyzOfGens (I));

/**/ IsHomog(G[1l]);

false

It should be true, with the correct shifts.

Related issues:

Precedes CoCoA-5 - Bug #509: SyzOfGens (CoCoA-5) does not have correct shifts Closed 03 Apr 2014

History

#1 - 08 Apr 2014 09:42 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#2 - 08 Apr 2014 20:10 - Anna Maria Bigatti

- Status changed from New to Feedback

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-0.99533 Easter14

- % Done changed from 0 to 90
- Estimated time set to 2.00 h

Implemented.

Testing will mostly be done in CoCoA-5 issue #509, but a test should be added in CoCoALib as well.

#3 - 17 Apr 2014 09:55 - Anna Maria Bigatti
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

#4 - 17 Apr 2014 16:36 - Anna Maria Bigatti

- Subject changed from SyzOfGens (CoCoALib) does not have correct shifts to SyzOfGens (CoCoALib): fix shifts
https://cocoa.dima.unige.it/redmine/issues/509
